diff --git a/src/app/models/instance.rb b/src/app/models/instance.rb
index 95e7519..9c212d1 100644
--- a/src/app/models/instance.rb
+++ b/src/app/models/instance.rb
@@ -1,5 +1,5 @@
 # == Schema Information
-# Schema version: 20110607104800
+# Schema version: 20110616100915
 #
 # Table name: instances
 #
@@ -7,7 +7,6 @@
 #  external_key            :string(255)
 #  name                    :string(1024)    not null
 #  hardware_profile_id     :integer         not null
-#  legacy_template_id      :integer
 #  frontend_realm_id       :integer
 #  owner_id                :integer
 #  pool_id                 :integer         not null
@@ -29,7 +28,6 @@
 #  time_last_stopped       :datetime
 #  created_at              :datetime
 #  updated_at              :datetime
-#  legacy_assembly_id      :integer
 #  deployment_id           :integer
 #  assembly_xml            :text
 #  image_uuid              :string(255)
@@ -83,8 +81,6 @@ class Instance < ActiveRecord::Base
   belongs_to :deployment
 
   belongs_to :hardware_profile
-  belongs_to :legacy_template
-  belongs_to :legacy_assembly
   belongs_to :frontend_realm
   belongs_to :owner, :class_name => "User", :foreign_key => "owner_id"
   belongs_to :instance_hwp
@@ -138,13 +134,6 @@ class Instance < ActiveRecord::Base
   # changed if called from another Aeolus component, so attr_protected isn't quite what we want:
   USER_MUTABLE_ATTRS = ['name']
 
-  def validate
-    if legacy_assembly and legacy_template
-      errors.add(:legacy_assembly, "Please specify either template or legacy_assembly, but not both")
-      errors.add(:legacy_template, "Please specify either template or legacy_assembly, but not both")
-    end
-  end
-
   def object_list
     super + [pool, deployment]
   end
@@ -310,7 +299,7 @@ class Instance < ActiveRecord::Base
 
   def self.list_or_search(query,order_field,order_dir)
     if query.blank?
-      instances = Instance.all(:include => [ :legacy_template, :owner ],
+      instances = Instance.all(:include => [ :owner ],
                                :order => (order_field || 'name') +' '+ (order_dir || 'asc'))
     else
       instances = search() { keywords(query) }.results
diff --git a/src/app/models/permission.rb b/src/app/models/permission.rb
index 02b142b..c7e7c38 100644
--- a/src/app/models/permission.rb
+++ b/src/app/models/permission.rb
@@ -59,12 +59,6 @@ class Permission < ActiveRecord::Base
                                       :foreign_key => "permission_object_id"
   belongs_to :provider_account,          :class_name => "ProviderAccount",
                                       :foreign_key => "permission_object_id"
-  belongs_to :legacy_template,               :class_name => "LegacyTemplate",
-                                      :foreign_key => "permission_object_id"
-  belongs_to :legacy_assembly,               :class_name => "LegacyAssembly",
-                                      :foreign_key => "permission_object_id"
-  belongs_to :legacy_deployable,             :class_name => "LegacyDeployable",
-                                      :foreign_key => "permission_object_id"
   belongs_to :base_permission_object, :class_name => "BasePermissionObject",
                                       :foreign_key => "permission_object_id"
 
diff --git a/src/app/models/privilege.rb b/src/app/models/privilege.rb
index c0c46a5..22f1eeb 100644
--- a/src/app/models/privilege.rb
+++ b/src/app/models/privilege.rb
@@ -53,7 +53,6 @@ class Privilege < ActiveRecord::Base
   ACTIONS = [ CREATE, MODIFY, USE, VIEW,
               PERM_SET, PERM_VIEW]
   TYPES   = { BasePermissionObject => [MODIFY, PERM_SET, PERM_VIEW],
-              LegacyTemplate => ACTIONS,
               Pool => ACTIONS - [USE],
               PoolFamily => ACTIONS - [USE],
               Instance => ACTIONS,
diff --git a/src/app/models/provider.rb b/src/app/models/provider.rb
index f1e648e..c937533 100644
--- a/src/app/models/provider.rb
+++ b/src/app/models/provider.rb
@@ -45,7 +45,6 @@ class Provider < ActiveRecord::Base
 
   has_many :provider_accounts, :dependent => :destroy
   has_many :hardware_profiles, :dependent => :destroy
-  has_many :legacy_provider_images, :dependent => :destroy
   has_many :realms, :dependent => :destroy
   has_many :realm_backend_targets, :as => :realm_or_provider
   has_many :frontend_realms, :through => :realm_backend_targets
diff --git a/src/app/models/provider_type.rb b/src/app/models/provider_type.rb
index e60ad0e..e1f8668 100644
--- a/src/app/models/provider_type.rb
+++ b/src/app/models/provider_type.rb
@@ -16,7 +16,6 @@
 class ProviderType < ActiveRecord::Base
 
   has_many :providers
-  has_many :legacy_images
   has_many :credential_definitions, :dependent => :destroy
 
   validates_presence_of :name
diff --git a/src/app/models/suggested_deployable.rb b/src/app/models/suggested_deployable.rb
index fb32113..c368d36 100644
--- a/src/app/models/suggested_deployable.rb
+++ b/src/app/models/suggested_deployable.rb
@@ -1,5 +1,5 @@
 # == Schema Information
-# Schema version: 20110607104800
+# Schema version: 20110616100915
 #
 # Table name: suggested_deployables
 #
@@ -7,6 +7,7 @@
 #  name        :string(1024)    not null
 #  description :text            not null
 #  url         :string(255)
+#  owner_id    :integer
 #
 
 class SuggestedDeployable < ActiveRecord::Base
diff --git a/src/app/views/deployments/_edit.haml b/src/app/views/deployments/_edit.haml
index 1bccdee..21190b0 100644
--- a/src/app/views/deployments/_edit.haml
+++ b/src/app/views/deployments/_edit.haml
@@ -1,7 +1,6 @@
 = error_messages_for 'deployment'
 %h2 Edit deployment
 - form_for @deployment do
-  = hidden_field :deployment, :legacy_deployable_id
   %ul
     %li
       = label :deployment, :name
diff --git a/src/app/views/deployments/_filter_view.haml b/src/app/views/deployments/_filter_view.haml
index 6c5a00a..9812547 100644
--- a/src/app/views/deployments/_filter_view.haml
+++ b/src/app/views/deployments/_filter_view.haml
@@ -7,7 +7,7 @@
     %td
       = link_to(deployment.name, deployment)
     %td
-      = link_to(deployment.legacy_deployable.name, deployment.legacy_deployable) if deployment.legacy_deployable
+      = deployment.deployable_xml.name
     %td
       = count_uptime(deployment.created_at)
     %td
diff --git a/src/app/views/deployments/_list.haml b/src/app/views/deployments/_list.haml
index 77f6307..7916f3b 100644
--- a/src/app/views/deployments/_list.haml
+++ b/src/app/views/deployments/_list.haml
@@ -2,7 +2,7 @@
   = render :partial => '/layouts/notification'
 
 - form_tag do
-  = link_to "New Deployment", legacy_launch_new_deployments_path, { :class => 'button' }
+  = link_to "New Deployment", launch_new_deployments_path, { :class => 'button' }
   = restful_submit_tag "Stop", "multi_stop", multi_stop_deployments_path, 'POST', :id => 'stop_button'
   = label_tag "More actions"
   = select_tag("more_actions",nil, :disabled => true)
diff --git a/src/app/views/instances/_list.haml b/src/app/views/instances/_list.haml
index af39180..77c2a31 100644
--- a/src/app/views/instances/_list.haml
+++ b/src/app/views/instances/_list.haml
@@ -1,6 +1,5 @@
 - form_tag do
   = restful_submit_tag 'Stop', 'stop', multi_stop_instances_path, 'GET'
-  = restful_submit_tag 'Create', 'new', select_legacy_template_instances_path, 'GET'
   = restful_submit_tag 'Remove failed', 'remove_failed', remove_failed_instances_path, 'GET'
 
   %p
@@ -17,7 +16,6 @@
           %input{:name => 'instance_selected[]', :type => 'checkbox', :value => inst.id, :id => "instance_checkbox_#{inst.id}", :checked => selected }
           = link_to inst.name, instance_path(inst)
         %td= inst.state
-        %td= inst.legacy_template ? inst.legacy_template.name : "#{inst.image_uuid} (image uuid)"
         %td= inst.public_addresses
         %td= inst.provider_account ? inst.provider_account.provider.name : ''
         %td= owner_name(inst)
diff --git a/src/app/views/instances/index.haml b/src/app/views/instances/index.haml
index 62ccbc6..9dabd7e 100644
--- a/src/app/views/instances/index.haml
+++ b/src/app/views/instances/index.haml
@@ -1,2 +1 @@
-- content_for :list do
-  = render :partial => 'list'
+= render :partial => 'list'
diff --git a/src/app/views/instances/show.haml b/src/app/views/instances/show.haml
index 05eeedd..dcaa50e 100644
--- a/src/app/views/instances/show.haml
+++ b/src/app/views/instances/show.haml
@@ -1,5 +1 @@
-- content_for :list do
-  = render :partial => 'list'
-
-- content_for :details do
-  = render :partial => 'layouts/details_pane'
+= render :partial => 'properties'
diff --git a/src/app/views/layouts/application.haml b/src/app/views/layouts/application.haml
index 1549d54..044d9e0 100644
--- a/src/app/views/layouts/application.haml
+++ b/src/app/views/layouts/application.haml
@@ -33,8 +33,6 @@
           - # NOTE this is a hack to implement switching between the top-level
           - # navigation before the proper wireframes exist for all the sections.
           - # Then we'll want to switch to the simple-nav gem or something else.
-          %li{:class => "#{'active' if controller.top_section == :design}" }
-            = link_to 'Design &amp; Deploy', legacy_templates_path
           %li{:class => "#{'active' unless [:design, :administer].include? controller.top_section}" }
             = link_to 'Monitor', pools_path
           %li{:class => "#{'active' if controller.top_section == :administer}" }
diff --git a/src/app/views/pools/_instances.haml b/src/app/views/pools/_instances.haml
index 868f962..3b7e60c 100644
--- a/src/app/views/pools/_instances.haml
+++ b/src/app/views/pools/_instances.haml
@@ -19,7 +19,7 @@
           %input{:name => 'instance_selected[]', :type => 'checkbox', :value => instance.id, :id => "instance_checkbox_#{instance.id}" }
           = link_to instance.name, instance_path(instance)
         %td
-          = instance.legacy_assembly.present? ? link_to((instance.legacy_assembly.name), legacy_assembly_path(instance.legacy_assembly)) : '&mdash;'
+          = instance.assembly_xml.name
         %td
           = instance.deployment.present? ? link_to((instance.deployment.name), deployment_path(instance.deployment)) : '&mdash;'
         %td
diff --git a/src/config/navigation.rb b/src/config/navigation.rb
index c05a5a4..4d2a589 100644
--- a/src/config/navigation.rb
+++ b/src/config/navigation.rb
@@ -6,12 +6,6 @@ SimpleNavigation::Configuration.run do |navigation|
       second_level.item :deployments, t('deployments.deployments'),deployments_path, :highlights_on => /^\/$|\/deployments/
       second_level.item :instances, t("instances.instances"), instances_path
     end
-    first_level.item :image_factory, t(:image_factory), legacy_templates_path, :highlights_on => /\/image_factory/ do |second_level|
-      second_level.item :legacy_templates, t('legacy_templates.legacy_templates'), legacy_templates_path
-      second_level.item :assemblies, t(:assemblies), legacy_assemblies_path
-      second_level.item :deployables, t('deployables.index.deployables'), legacy_deployables_path
-      second_level.item :image_imports, t(:image_imports), new_image_import_path
-    end
     first_level.item :administration, t(:administration), users_path, :highlights_on => /\/admin/ do |second_level|
       second_level.item :users, t(:users), users_path, :highlights_on => /\/users/
       second_level.item :roles, t(:roles), roles_path, :highlights_on => /\/roles/
diff --git a/src/config/routes.rb b/src/config/routes.rb
index 3e9caa0..7f83338 100644
--- a/src/config/routes.rb
+++ b/src/config/routes.rb
@@ -33,19 +33,13 @@ ActionController::Routing::Routes.draw do |map|
   # -- just remember to delete public/index.html.
 
   map.resources :pools, :collection => { :multi_destroy => :delete }
-  map.resources :deployments, :collection  => { :multi_stop => :get, :launch_new => :get, :legacy_new => :get,
-                                :legacy_launch_new => :get, :check_name => :get }
-  map.resources :instances, :collection => {:start => :get, :multi_stop => :get, :select_legacy_template => :get, :remove_failed => :get, :can_start => :get, :can_create => :get }, :member => {:key => :get}
+  map.resources :deployments, :collection  => { :multi_stop => :get, :launch_new => :get, :check_name => :get }
+  map.resources :instances, :collection => {:start => :get, :multi_stop => :get, :remove_failed => :get, :can_start => :get, :can_create => :get }, :member => {:key => :get}
 
   map.can_start_instance '/instances/:instance_id/can_start/:provider_account_id', :controller => 'instances', :action => 'can_start', :conditions => { :method => :get }
   map.can_create_instance '/instances/:instance_id/can_create/:provider_account_id', :controller => 'instances', :action => 'can_create', :conditions => { :method => :get }
 
-  map.resources :legacy_assemblies
   map.resources :image_imports
-  map.resources :legacy_deployables, :collection => { :multi_destroy => :delete }, :member => { :pick_assemblies => :get, :remove_assemblies => :delete, :add_assemblies => :put, :launch => :post }
-  map.resources :legacy_templates, :collection => {:collections => :get, :add_selected => :get, :metagroup_packages => :get, :remove_package => :get, :multi_destroy => :delete}
-  map.connect "/builds/update_status.:format", :controller => :builds, :action => :update_status
-  map.resources :builds, :collection => { :delete => :delete, :upload => :get, :retry => :post }
 
   map.resources :hardware_profiles, :collection => { :multi_destroy => :delete }
   map.resources :providers, :collection => { :multi_destroy => :delete }
diff --git a/src/db/migrate/20110207101100_deployment_roles.rb b/src/db/migrate/20110207101100_deployment_roles.rb
index 87dab6e..88e88ac 100644
--- a/src/db/migrate/20110207101100_deployment_roles.rb
+++ b/src/db/migrate/20110207101100_deployment_roles.rb
@@ -36,7 +36,6 @@ class DeploymentRoles < ActiveRecord::Migration
                                            Deployment   => [VIEW,USE,MOD,CRE,VPRM,GPRM],
                                            Quota        => [VIEW,    MOD],
                                            PoolFamily   => [VIEW,    MOD,CRE,VPRM,GPRM],
-                                           LegacyTemplate     => [VIEW,USE,MOD,CRE,VPRM,GPRM],
                                            BasePermissionObject => [ MOD,    VPRM,GPRM]}]}}
   def self.up
     unless Role.all.size == 0
diff --git a/src/db/migrate/20110223132404_add_target_id_column_to_legacy_images.rb b/src/db/migrate/20110223132404_add_target_id_column_to_legacy_images.rb
index 62bb690..f7ed2bc 100644
--- a/src/db/migrate/20110223132404_add_target_id_column_to_legacy_images.rb
+++ b/src/db/migrate/20110223132404_add_target_id_column_to_legacy_images.rb
@@ -5,24 +5,10 @@ class AddTargetIdColumnToLegacyImages < ActiveRecord::Migration
 
   def self.up
     add_column :legacy_images, :provider_type_id, :integer, :null => false, :default => 100
-    transform_target_column
     remove_column :legacy_images, :target  end
 
   def self.down
     add_column :legacy_images, :target, :integer
-    transform_target_column_back
     remove_column :legacy_images, :provider_type_id
   end
-
-  def self.transform_target_column
-    LegacyImage.all.each do |image|
-      image.update_attribute(:provider_type_id, ProviderType.first(:conditions => {:name => PROVIDER_TYPES[image.target] }).id)
-    end
-  end
-
-  def self.transform_target_column_back
-    LegacyImage.all.each do |image|
-      image.update_attribute(:target, INVERTED_PROVIDER_TYPES[image.provider_type.name])
-    end
-  end
 end
diff --git a/src/db/migrate/20110302120000_add_status_to_provider_image.rb b/src/db/migrate/20110302120000_add_status_to_provider_image.rb
index 9225021..1fe41a3 100644
--- a/src/db/migrate/20110302120000_add_status_to_provider_image.rb
+++ b/src/db/migrate/20110302120000_add_status_to_provider_image.rb
@@ -1,14 +1,6 @@
 class AddStatusToProviderImage < ActiveRecord::Migration
   def self.up
     add_column :legacy_provider_images, :status, :string
-    LegacyProviderImage.all.each do |image|
-      if image.uploaded
-        image.status = 'completed'
-      else
-        image.status = "queued"
-      end
-      image.save!
-    end
     remove_column :legacy_provider_images, :uploaded
     remove_column :legacy_provider_images, :registered
   end
@@ -16,16 +8,6 @@ class AddStatusToProviderImage < ActiveRecord::Migration
   def self.down
     add_column :legacy_provider_images, :uploaded, :boolean
     add_column :legacy_provider_images, :registered, :boolean
-    LegacyProviderImage.all.each do |image|
-      if image.status == 'completed'
-        image.uploaded = true
-        image.registered = true
-      else
-        image.uploaded = false
-        image.registered = false
-      end
-      image.save!
-    end
     remove_column :legacy_provider_images, :status
   end
 end
diff --git a/src/db/migrate/20110616100915_remove_legacy_models.rb b/src/db/migrate/20110616100915_remove_legacy_models.rb
new file mode 100644
index 0000000..d9af3b1
--- /dev/null
+++ b/src/db/migrate/20110616100915_remove_legacy_models.rb
@@ -0,0 +1,20 @@
+class RemoveLegacyModels < ActiveRecord::Migration
+  def self.up
+    drop_table :instances_legacy_assemblies
+    drop_table :legacy_assemblies
+    drop_table :legacy_assemblies_legacy_deployables
+    drop_table :legacy_assemblies_legacy_templates
+    drop_table :legacy_deployables
+    drop_table :legacy_images
+    drop_table :legacy_provider_images
+    drop_table :legacy_templates
+    remove_column :deployments, :legacy_deployable_id
+    remove_column :icicles, :legacy_provider_image_id
+    remove_column :instances, :legacy_template_id
+    remove_column :instances, :legacy_assembly_id
+  end
+
+  def self.down
+    raise ActiveRecord::IrreversibleMigration
+  end
+end
diff --git a/src/db/seeds.rb b/src/db/seeds.rb
index 76e3772..eee6904 100644
--- a/src/db/seeds.rb
+++ b/src/db/seeds.rb
@@ -41,9 +41,6 @@ roles =
    ProviderAccount =>
      {"Provider Account User"  => [false, {ProviderAccount => [VIEW,USE]}],
       "Provider Account Owner" => [true,  {ProviderAccount => [VIEW,USE,MOD,    VPRM,GPRM]}]},
-   LegacyTemplate =>
-     {"Template User"          => [false, {LegacyTemplate     => [VIEW,USE]}],
-      "Template Owner"         => [true,  {LegacyTemplate     => [VIEW,USE,MOD,    VPRM,GPRM]}]},
    SuggestedDeployable =>
      {"SuggestedDeployable User"          => [false, {SuggestedDeployable     => [VIEW,USE]}],
       "SuggestedDeployable Owner"         => [true,  {SuggestedDeployable     => [VIEW,USE,MOD,VPRM,GPRM]}]},
@@ -61,8 +58,6 @@ roles =
                                            PoolFamily   => [VIEW,    MOD,CRE,VPRM,GPRM]}],
       "SuggestedDeployable Administrator" => [false, {SuggestedDeployable => [VIEW,USE,MOD,CRE,VPRM,GPRM]}],
       "SuggestedDeployable Global User"   => [false, {SuggestedDeployable=> [VIEW,USE]}],
-      "Template Administrator" => [false, {LegacyTemplate     => [VIEW,USE,MOD,CRE,VPRM,GPRM]}],
-      "Template Creator"       => [false, {LegacyTemplate     => [VIEW,USE,    CRE]}],
       "Administrator"          => [false, {Provider     => [VIEW,    MOD,CRE,VPRM,GPRM],
                                            ProviderAccount => [VIEW,USE,MOD,CRE,VPRM,GPRM],
                                            HardwareProfile => [      MOD,CRE,VPRM,GPRM],
@@ -73,7 +68,6 @@ roles =
                                            Deployment   => [VIEW,USE,MOD,CRE,VPRM,GPRM],
                                            Quota        => [VIEW,    MOD],
                                            PoolFamily   => [VIEW,    MOD,CRE,VPRM,GPRM],
-                                           LegacyTemplate      => [VIEW,USE,MOD,CRE,VPRM,GPRM],
                                            SuggestedDeployable => [VIEW,USE,MOD,CRE,VPRM,GPRM],
                                            BasePermissionObject => [ MOD,    VPRM,GPRM]}]}}
 Role.transaction do
@@ -103,20 +97,17 @@ default_quota = Quota.create
 
 default_pool = Pool.find_by_name("default_pool")
 default_role = Role.find_by_name("Pool User")
-default_template_role = Role.find_by_name("Template Creator")
 default_suggested_deployable_role = Role.find_by_name("SuggestedDeployable Global User")
 
 settings = {"allow_self_service_logins" => "true",
   "self_service_default_quota" => default_quota,
   "self_service_default_pool" => default_pool,
   "self_service_default_role" => default_role,
-  "self_service_default_template_obj" => BasePermissionObject.general_permission_scope,
-  "self_service_default_template_role" => default_template_role,
   "self_service_default_suggested_deployable_obj" => BasePermissionObject.general_permission_scope,
   "self_service_default_suggested_deployable_role" => default_suggested_deployable_role,
   # perm list in the format:
   #   "[resource1_key, resource1_role], [resource2_key, resource2_role], ..."
-  "self_service_perms_list" => "[self_service_default_pool,self_service_default_role], [self_service_default_template_obj,self_service_default_template_role], [self_service_default_suggested_deployable_obj,self_service_default_suggested_deployable_role]"}
+  "self_service_perms_list" => "[self_service_default_pool,self_service_default_role], [self_service_default_suggested_deployable_obj,self_service_default_suggested_deployable_role]"}
 settings.each_pair do |key, value|
   MetadataObject.set(key, value)
 end
diff --git a/src/features/authentication.feature b/src/features/authentication.feature
index bdf46ed..ee8a465 100644
--- a/src/features/authentication.feature
+++ b/src/features/authentication.feature
@@ -18,7 +18,7 @@ Feature: User authentication
 
   Scenario: Edit profile
     Given I am logged in
-    And I am on the legacy assemblies page
+    And I am on the root page
     When I want to edit my profile
     Then should see "Editing Account"
     When I fill in "E-mail" with "changed@example.com"
@@ -28,7 +28,7 @@ Feature: User authentication
 
   Scenario: log out
     Given I am logged in
-    And I am on the legacy assemblies page
+    And I am on the root page
     When I follow "Log out"
     Then I should be logged out
     And I should see "Username:"
@@ -37,7 +37,7 @@ Feature: User authentication
 
   Scenario: Change user login to one with invalid length
     Given I am logged in
-    And I am on the legacy assemblies page
+    And I am on the root page
     When I want to edit my profile
     Then should see "Editing Account"
     When I enter a string of length "101" into "user[login]"
diff --git a/src/features/instance.feature b/src/features/instance.feature
index d9e830a..02fdf35 100644
--- a/src/features/instance.feature
+++ b/src/features/instance.feature
@@ -95,53 +95,54 @@ Feature: Manage Instances
     And I should see "mock2: stop action was successfully queued"
     And I should see "mock3: stop is an invalid action"
 
-  @tag
-  Scenario: Search for instances
-    Given there are the following instances:
-    | name      | external_key | state   | public_addresses    | private_addresses     |
-    | mockname  | ext_mock     | running | mock.public.address  | mock.private.address  |
-    | test      | ext_test     | pending | test.public.address  | test.private.address  |
-    | other     | ext_other    | stopped | other.public.address | other.private.address |
-    And there is the following instance with a differently-named owning user:
-    | name  | external_key | state   | public_addresses    | private_addresses     |
-    | foo   | ext_foo      | stopped | foo.public.address  | foo.private.address   |
-    And I am on the the instances page
-    When I fill in "q" with "mockname"
-    And I press "Search"
-    Then I should see "mock"
-    And I should not see "test"
-    And I should not see "other"
-    And I should not see "foo"
-    When I fill in "q" with "ext_other"
-    And I press "Search"
-    Then I should not see "mock"
-    And I should not see "test"
-    And I should see "other"
-    And I should not see "foo"
-    When I fill in "q" with "pending"
-    And I press "Search"
-    Then I should not see "mock"
-    And I should see "test"
-    And I should not see "other"
-    And I should not see "foo"
-    When I fill in "q" with "mock.public.address"
-    And I press "Search"
-    Then I should see "mock"
-    And I should not see "test"
-    And I should not see "other"
-    And I should not see "foo"
-    When I fill in "q" with "test.private.address"
-    And I press "Search"
-    Then I should not see "mock"
-    And I should see "test"
-    And I should not see "other"
-    And I should not see "foo"
-    When I fill in "q" with "Doe"
-    And I press "Search"
-    Then I should not see "mock"
-    And I should not see "test"
-    And I should not see "other"
-    And I should see "foo"
+  # not supported in UI now
+  #@tag
+  #Scenario: Search for instances
+  #  Given there are the following instances:
+  #  | name      | external_key | state   | public_addresses    | private_addresses     |
+  #  | mockname  | ext_mock     | running | mock.public.address  | mock.private.address  |
+  #  | test      | ext_test     | pending | test.public.address  | test.private.address  |
+  #  | other     | ext_other    | stopped | other.public.address | other.private.address |
+  #  And there is the following instance with a differently-named owning user:
+  #  | name  | external_key | state   | public_addresses    | private_addresses     |
+  #  | foo   | ext_foo      | stopped | foo.public.address  | foo.private.address   |
+  #  And I am on the the instances page
+  #  When I fill in "q" with "mockname"
+  #  And I press "Search"
+  #  Then I should see "mock"
+  #  And I should not see "test"
+  #  And I should not see "other"
+  #  And I should not see "foo"
+  #  When I fill in "q" with "ext_other"
+  #  And I press "Search"
+  #  Then I should not see "mock"
+  #  And I should not see "test"
+  #  And I should see "other"
+  #  And I should not see "foo"
+  #  When I fill in "q" with "pending"
+  #  And I press "Search"
+  #  Then I should not see "mock"
+  #  And I should see "test"
+  #  And I should not see "other"
+  #  And I should not see "foo"
+  #  When I fill in "q" with "mock.public.address"
+  #  And I press "Search"
+  #  Then I should see "mock"
+  #  And I should not see "test"
+  #  And I should not see "other"
+  #  And I should not see "foo"
+  #  When I fill in "q" with "test.private.address"
+  #  And I press "Search"
+  #  Then I should not see "mock"
+  #  And I should see "test"
+  #  And I should not see "other"
+  #  And I should not see "foo"
+  #  When I fill in "q" with "Doe"
+  #  And I press "Search"
+  #  Then I should not see "mock"
+  #  And I should not see "test"
+  #  And I should not see "other"
+  #  And I should see "foo"
 
 
   Scenario: Instance with correct id is displayed when id is greater than 10
@@ -192,15 +193,16 @@ Feature: Manage Instances
     When I am viewing the mock instance
     Then I should get back a partial
 
-  Scenario: Create an instance and get JSON response
-    Given I accept JSON
-    When I create mock instance
-    Then I should get back instance in JSON format
+  # for now it's not supported to create an instance, only deployment
+  #Scenario: Create an instance and get JSON response
+  #  Given I accept JSON
+  #  When I create mock instance
+  #  Then I should get back instance in JSON format
 
-  Scenario: Create an instance over XHR
-    Given I request XHR
-    When I create mock instance
-    Then I should get back a partial
+  #Scenario: Create an instance over XHR
+  #  Given I request XHR
+  #  When I create mock instance
+  #  Then I should get back a partial
 
   Scenario: Stop an instance
     Given there is a "mock1" running instance
diff --git a/src/features/step_definitions/authentication.rb b/src/features/step_definitions/authentication.rb
index b0aa0ee..cd34149 100644
--- a/src/features/step_definitions/authentication.rb
+++ b/src/features/step_definitions/authentication.rb
@@ -47,7 +47,8 @@ When /^I forget to enter my password$/ do
 end
 
 When /^I want to edit my profile$/ do
-  click_link "#{user.first_name} #{user.last_name}"
+  click_link "My Account"
+  click_link "Edit"
 end
 
 Then /^I should be logged out$/ do
diff --git a/src/features/support/custom.rb b/src/features/support/custom.rb
index 08323f9..97a2c34 100644
--- a/src/features/support/custom.rb
+++ b/src/features/support/custom.rb
@@ -33,22 +33,6 @@ ProviderAccount.class_eval do
 #  end
 end
 
-RepositoryManager.class_eval do
-  def load_config
-    [{
-      'baseurl' => 'http://pulptest',
-      'yumurl'  => 'http://pulptest',
-      'type'    => 'pulp'
-    }]
-  end
-end
-
-LegacyTemplate.class_eval do
-  def upload
-    true
-  end
-end
-
 InstanceKey.class_eval do
   def replace_on_server(addr, new)
     true
diff --git a/src/features/support/paths.rb b/src/features/support/paths.rb
index d69ef13..fc86294 100644
--- a/src/features/support/paths.rb
+++ b/src/features/support/paths.rb
@@ -77,24 +77,9 @@ module NavigationHelpers
     when /the new permission page/
       url_for new_permission_path
 
-    when /the new template page/
-      url_for new_legacy_template_path
-
-    when /the new template build page/
-      url_for new_build_path
-
-    when /the template builds page/
-      url_for legacy_template_path(@template, :details_tab => 'builds')
-
     when /the pool family provider accounts page/
       url_for pool_family_path(@pool_family, :details_tab => 'provider_accounts')
 
-    when /the templates page/
-      legacy_templates_path
-
-    when /the create template page/
-      url_for create_legacy_template_path
-
     when /the self service settings page/
       url_for :action => 'self_service', :controller => 'settings', :only_path => true
 
@@ -113,15 +98,9 @@ module NavigationHelpers
     when /^(.*)'s provider account page$/
       provider_account_path(ProviderAccount.find_by_label($1))
 
-    when /the deployable deployments page/
-      legacy_deployable_path(@deployable, :details_tab => 'deployments')
-
     when /the operational status of deployment page/
       deployment_path(@deployment, :details_tab => 'operation')
 
-    when /^(.*)'s deployable page$/
-      legacy_deployable_path(LegacyDeployable.find_by_name($1))
-
     when /^(.*)'s edit deployment page$/
       edit_deployment_path(Deployment.find_by_name($1))
 
diff --git a/src/lib/tasks/dc_tasks.rake b/src/lib/tasks/dc_tasks.rake
index 9be5a5d..4f2f9d6 100644
--- a/src/lib/tasks/dc_tasks.rake
+++ b/src/lib/tasks/dc_tasks.rake
@@ -85,27 +85,6 @@ namespace :dc do
     Rake::Task[:'dc:create_admin_user'].invoke
   end
 
-  desc 'Import images'
-  task :import, [:provider, :username, :password, :image] => :environment do |t, args|
-    unless args.provider and args.username and args.password and args.image
-      puts "Usage: rake 'dc:import[provider,username,password,imageid]'"
-      exit(1)
-    end
-    #account = get_account(args.provider, args.account)
-    img = LegacyImage.single_import(args.provider, args.username, args.password, args.image, User.find_by_login('admin'))
-    puts "Imported image with id '#{args.image}'"
-  end
-
-  desc 'Bulk import images'
-  task :bulk_import, [:provider, :username, :password, :yml_file] => :environment do |t, args|
-    unless args.provider and args.username and args.password and args.yml_file
-      puts "Usage: rake 'dc:import[provider,username,password,yml_file]'"
-      exit(1)
-    end
-    list = YAML.load_file(args.yml_file)
-    LegacyImage.bulk_import(args.provider, args.username, args.password, list, User.find_by_login('admin'))
-  end
-
   def get_account(provider_name, account_name)
     unless provider = Provider.find_by_name(provider_name)
       raise "There is no provider with '#{provider_name}' name"
